<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.axzo.msg.center.dal.mapper.MNSBatchMessageRequestMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="cn.axzo.msg.center.domain.entity.MNSBatchMessageRequest">
        <id column="id" property="id" />
        <result column="app_no" property="appNo" />
        <result column="request_no" property="requestNo" />
        <result column="template_no" property="templateNo" />
        <result column="sms_content" property="smsContent" />
        <result column="total_size" property="totalSize" />
        <result column="success_count" property="successCount" />
        <result column="fail_count" property="failCount" />
        <result column="repeat_count" property="repeatCount" />
        <result column="send_type" property="sendType" />
        <result column="status" property="status" />
        <result column="remark" property="remark" />
        <result column="create_at" property="createAt" />
        <result column="update_at" property="updateAt" />
        <result column="is_delete" property="isDelete" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, app_no, request_no, template_no, sms_content, total_size, success_count, fail_count, repeat_count, send_type, status, remark, create_at, update_at, is_delete
    </sql>

</mapper>
